Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.milyn.device.ident
Class HttpIdentUnit

    java.lang.Object
      org.milyn.device.ident.IdentUnit
          org.milyn.device.ident.HttpIdentUnit

public class HttpIdentUnit
extends IdentUnit

HTTP Identification unit.

Used to describe a HTTP identification unit in the document object model. The supported HTTP identification units are HTTP request headers and request query parameters.

Regular expressions are supported on the HTTP identification unit values.

Author:
  Tom Fennelly

Field Summary
`static int` | `HEADER_UNIT` HTTP request header ident unit type.
`static int` | `PARAM_UNIT` HTTP request parameter ident unit type.

Constructor Summary
`HttpIdentUnit(int type)` Construct a HTTP ident unit.

Method Summary
`boolean` | `isMatch(Request request)` Is this device identification unit a match for the device.
`void` | `setValue(java.lang.String value)` Set the ident unit value.

Methods inherited from class org.milyn.device.ident.IdentUnit
`equals, getId, getName, getValue, setId, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAM_UNIT

    public static final int PARAM_UNIT

  HTTP request parameter ident unit type.

  See Also:
    Constant Field Values

### HEADER_UNIT

    public static final int HEADER_UNIT

  HTTP request header ident unit type.

  See Also:
    Constant Field Values

Constructor Detail

### HttpIdentUnit

    public HttpIdentUnit(int type)

  Construct a HTTP ident unit.

Parameters:
  `type` - The type of ident unit. Either `PARAM_UNIT` or `HEADER_UNIT`.

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Set the ident unit value.

  Overrides:
    `setValue` in class `IdentUnit`
  Parameters:
    `value` - The value value.

### isMatch

    public boolean isMatch(Request request)

  Is this device identification unit a match for the device.

  Specified by:
    `isMatch` in class `IdentUnit`
  Parameters:
    `request` - The device request.
  Returns:
    true If the device identification unit is a match, otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD